HTTPS Setup not working with specific Java 1.8 versions such as 1.8.0_74